#include <linux/version.h>

#include <linux/string.h>
#include <linux/errno.h>
#include <linux/module.h>

#include "nikal.h"

#ifdef nNIKAL100_kCopyrightString
   MODULE_LICENSE(nNIKAL100_kCopyrightString);
#endif

#ifdef nNIKAL100_kAuthorString
   MODULE_AUTHOR(nNIKAL100_kAuthorString);
#endif

#ifdef nNIKAL100_kDescriptionString
   MODULE_DESCRIPTION(nNIKAL100_kDescriptionString);
#endif


int nNIPAL100_ckalcbInitModule(void* modulePtr, const char* name);
void nNIPAL100_ckalcbCleanupModule(void* modulePtr);

int init_module(void)
{
   return nNIPAL100_ckalcbInitModule(THIS_MODULE,(THIS_MODULE)->name);
}

void cleanup_module(void)
{
   nNIPAL100_ckalcbCleanupModule(THIS_MODULE);
}


#define nNIKAL100_mExportSymbol EXPORT_SYMBOL
/* _ZN10nNIDIM_1_439iStarBusEndpointAdditionRemovalObserverD2Ev=_4f2a8e26269fd3356aa7e2dda4aab142 */
extern int _4f2a8e26269fd3356aa7e2dda4aab142;
nNIKAL100_mExportSymbol(_4f2a8e26269fd3356aa7e2dda4aab142);
/* _ZN10nNIDIM_1_439iStarBusEndpointAdditionRemovalObserverD1Ev=_ac975a593bd4758682509806992a8bda */
extern int _ac975a593bd4758682509806992a8bda;
nNIKAL100_mExportSymbol(_ac975a593bd4758682509806992a8bda);
/* _ZN10nNIDIM_1_439iStarBusEndpointAdditionRemovalObserverD0Ev=_91350c381b2af193fdc579ff64afafcb */
extern int _91350c381b2af193fdc579ff64afafcb;
nNIKAL100_mExportSymbol(_91350c381b2af193fdc579ff64afafcb);
/* _ZN10nNIDIM_1_439iStarBusEndpointAdditionRemovalObserver13___CPPKRLCastEPS0_PKPv=_96ec6038fa554eb6aae53b1a8c57039a */
extern int _96ec6038fa554eb6aae53b1a8c57039a;
nNIKAL100_mExportSymbol(_96ec6038fa554eb6aae53b1a8c57039a);
/* _ZN10nNIDIM_1_439iStarBusEndpointAdditionRemovalObserver20___CPPKRLDynamicCastEPKPv=_a0ab209d76d4a4735477b3acfe331c2c */
extern int _a0ab209d76d4a4735477b3acfe331c2c;
nNIKAL100_mExportSymbol(_a0ab209d76d4a4735477b3acfe331c2c);
/* _ZN10nNIDIM_1_439iStarBusEndpointAdditionRemovalObserver13___CPPKRLCastEPKS0_PKPv=_230a87565f4de0ab3be14494b4ce55a8 */
extern int _230a87565f4de0ab3be14494b4ce55a8;
nNIKAL100_mExportSymbol(_230a87565f4de0ab3be14494b4ce55a8);
/* _ZNK10nNIDIM_1_439iStarBusEndpointAdditionRemovalObserver20___CPPKRLDynamicCastEPKPv=_4758f866775192592b1f4b035674d872 */
extern int _4758f866775192592b1f4b035674d872;
nNIKAL100_mExportSymbol(_4758f866775192592b1f4b035674d872);
extern int _ZN10nNIDIM_1_822getInternalDIMInstanceERi;
nNIKAL100_mExportSymbol(_ZN10nNIDIM_1_822getInternalDIMInstanceERi);
/* _ZN10nNIDIM_1_827iDeviceInterconnectManager211getInstanceERi=_f2eb3d6a0758fcdb7be41c88a260a98a */
extern int _f2eb3d6a0758fcdb7be41c88a260a98a;
nNIKAL100_mExportSymbol(_f2eb3d6a0758fcdb7be41c88a260a98a);
/* _ZN10nNIDIM_1_426iDeviceInterconnectManager11getInstanceERi=_56fb9526c3fd79f3ac527ff488403992 */
extern int _56fb9526c3fd79f3ac527ff488403992;
nNIKAL100_mExportSymbol(_56fb9526c3fd79f3ac527ff488403992);
/* _ZN9nNIDIM10026iDeviceInterconnectManager11getInstanceERi=_82e35f12c99fc0276f0d632f7e4a2edb */
extern int _82e35f12c99fc0276f0d632f7e4a2edb;
nNIKAL100_mExportSymbol(_82e35f12c99fc0276f0d632f7e4a2edb);
extern int nNIDIM_1_8_iDeviceInterconnectManager2_getInstance;
nNIKAL100_mExportSymbol(nNIDIM_1_8_iDeviceInterconnectManager2_getInstance);
extern int nNIDIM_1_4_iDeviceInterconnectManager_getInstance;
nNIKAL100_mExportSymbol(nNIDIM_1_4_iDeviceInterconnectManager_getInstance);
extern int nNIDIM100_iDeviceInterconnectManager_getInstance;
nNIKAL100_mExportSymbol(nNIDIM100_iDeviceInterconnectManager_getInstance);
extern int _ZN9nNIDIM1007iIntent14staticGetClassERi;
nNIKAL100_mExportSymbol(_ZN9nNIDIM1007iIntent14staticGetClassERi);
extern int _ZN9nNIDIM1007iIntent13___CPPKRLCastEPS0_PKPv;
nNIKAL100_mExportSymbol(_ZN9nNIDIM1007iIntent13___CPPKRLCastEPS0_PKPv);
extern int _ZN9nNIDIM1007iIntent20___CPPKRLDynamicCastEPKPv;
nNIKAL100_mExportSymbol(_ZN9nNIDIM1007iIntent20___CPPKRLDynamicCastEPKPv);
extern int _ZN9nNIDIM1007iIntent13___CPPKRLCastEPKS0_PKPv;
nNIKAL100_mExportSymbol(_ZN9nNIDIM1007iIntent13___CPPKRLCastEPKS0_PKPv);
extern int _ZNK9nNIDIM1007iIntent20___CPPKRLDynamicCastEPKPv;
nNIKAL100_mExportSymbol(_ZNK9nNIDIM1007iIntent20___CPPKRLDynamicCastEPKPv);
/* _ZN9nNIDIM10022iInterconnectBusBridge14staticGetClassERi=_2bab1231ac79fcd14d74e09c44c57b9e */
extern int _2bab1231ac79fcd14d74e09c44c57b9e;
nNIKAL100_mExportSymbol(_2bab1231ac79fcd14d74e09c44c57b9e);
extern int _ZN9nNIDIM10022iInterconnectBusBridgeD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10022iInterconnectBusBridgeD2Ev);
extern int _ZN9nNIDIM10022iInterconnectBusBridgeC2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10022iInterconnectBusBridgeC2Ev);
/* _ZN10nNIDIM_1_822iInterconnectBusBridge14staticGetClassERi=_767c6b34026c6d87d879ed2a9bcf3e33 */
extern int _767c6b34026c6d87d879ed2a9bcf3e33;
nNIKAL100_mExportSymbol(_767c6b34026c6d87d879ed2a9bcf3e33);
extern int _ZN10nNIDIM_1_822iInterconnectBusBridgeD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNIDIM_1_822iInterconnectBusBridgeD2Ev);
extern int _ZN10nNIDIM_1_822iInterconnectBusBridgeC2Ev;
nNIKAL100_mExportSymbol(_ZN10nNIDIM_1_822iInterconnectBusBridgeC2Ev);
extern int _ZN10nNIDIM_1_822iInterconnectBusBridgeC1Ev;
nNIKAL100_mExportSymbol(_ZN10nNIDIM_1_822iInterconnectBusBridgeC1Ev);
extern int _ZN9nNIDIM10022iInterconnectBusBridgeC1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10022iInterconnectBusBridgeC1Ev);
extern int _ZN9nNIDIM10022iInterconnectBusBridgeD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10022iInterconnectBusBridgeD1Ev);
extern int _ZN10nNIDIM_1_822iInterconnectBusBridgeD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNIDIM_1_822iInterconnectBusBridgeD1Ev);
extern int _ZN9nNIDIM10022iInterconnectBusBridgeD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10022iInterconnectBusBridgeD0Ev);
extern int _ZN10nNIDIM_1_822iInterconnectBusBridgeD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNIDIM_1_822iInterconnectBusBridgeD0Ev);
/* _ZN9nNIDIM10022iInterconnectBusBridge13___CPPKRLCastEPS0_PKPv=_621b96392acd5a9e40f7d763773c5af4 */
extern int _621b96392acd5a9e40f7d763773c5af4;
nNIKAL100_mExportSymbol(_621b96392acd5a9e40f7d763773c5af4);
/* _ZN9nNIDIM10022iInterconnectBusBridge20___CPPKRLDynamicCastEPKPv=_2b0ee8d0ab87652de727fced480cd112 */
extern int _2b0ee8d0ab87652de727fced480cd112;
nNIKAL100_mExportSymbol(_2b0ee8d0ab87652de727fced480cd112);
/* _ZN9nNIDIM10022iInterconnectBusBridge13___CPPKRLCastEPKS0_PKPv=_38ea78ccfda8c28f2314b44444e95bf2 */
extern int _38ea78ccfda8c28f2314b44444e95bf2;
nNIKAL100_mExportSymbol(_38ea78ccfda8c28f2314b44444e95bf2);
/* _ZN10nNIDIM_1_822iInterconnectBusBridge13___CPPKRLCastEPS0_PKPv=_f8e0eccffc09e27d4633e7bd36cb2371 */
extern int _f8e0eccffc09e27d4633e7bd36cb2371;
nNIKAL100_mExportSymbol(_f8e0eccffc09e27d4633e7bd36cb2371);
/* _ZN10nNIDIM_1_822iInterconnectBusBridge20___CPPKRLDynamicCastEPKPv=_aa1320fe14aebf1160f5d9006b36ef2e */
extern int _aa1320fe14aebf1160f5d9006b36ef2e;
nNIKAL100_mExportSymbol(_aa1320fe14aebf1160f5d9006b36ef2e);
/* _ZN10nNIDIM_1_822iInterconnectBusBridge13___CPPKRLCastEPKS0_PKPv=_be7e36ebb55c5c663a8c46782b977deb */
extern int _be7e36ebb55c5c663a8c46782b977deb;
nNIKAL100_mExportSymbol(_be7e36ebb55c5c663a8c46782b977deb);
/* _ZNK10nNIDIM_1_822iInterconnectBusBridge20___CPPKRLDynamicCastEPKPv=_e5f3df58614eba9a6603bac87766decf */
extern int _e5f3df58614eba9a6603bac87766decf;
nNIKAL100_mExportSymbol(_e5f3df58614eba9a6603bac87766decf);
/* _ZNK9nNIDIM10022iInterconnectBusBridge20___CPPKRLDynamicCastEPKPv=_d8c2a631528fac3478ccc52ff378d965 */
extern int _d8c2a631528fac3478ccc52ff378d965;
nNIKAL100_mExportSymbol(_d8c2a631528fac3478ccc52ff378d965);
/* _ZN9nNIDIM10024iInterconnectBusEndpoint14staticGetClassERi=_43a1c5873bde558cf4aeca4929a34faf */
extern int _43a1c5873bde558cf4aeca4929a34faf;
nNIKAL100_mExportSymbol(_43a1c5873bde558cf4aeca4929a34faf);
/* _ZN9nNIDIM10024iInterconnectBusEndpoint13___CPPKRLCastEPS0_PKPv=_ff93aa53c4c26d7b075bdd941e515803 */
extern int _ff93aa53c4c26d7b075bdd941e515803;
nNIKAL100_mExportSymbol(_ff93aa53c4c26d7b075bdd941e515803);
/* _ZN9nNIDIM10024iInterconnectBusEndpoint20___CPPKRLDynamicCastEPKPv=_e5e543bf502e10299fc1c3f5f12fecdc */
extern int _e5e543bf502e10299fc1c3f5f12fecdc;
nNIKAL100_mExportSymbol(_e5e543bf502e10299fc1c3f5f12fecdc);
/* _ZN9nNIDIM10024iInterconnectBusEndpoint13___CPPKRLCastEPKS0_PKPv=_500a4aad0d56cb30a9533457bb68577c */
extern int _500a4aad0d56cb30a9533457bb68577c;
nNIKAL100_mExportSymbol(_500a4aad0d56cb30a9533457bb68577c);
/* _ZNK9nNIDIM10024iInterconnectBusEndpoint20___CPPKRLDynamicCastEPKPv=_3a54a58e34272644023055762a5b6925 */
extern int _3a54a58e34272644023055762a5b6925;
nNIKAL100_mExportSymbol(_3a54a58e34272644023055762a5b6925);
extern int _ZN10nNIDIM_1_49iObserver13___CPPKRLCastEPKS0_PKPv;
nNIKAL100_mExportSymbol(_ZN10nNIDIM_1_49iObserver13___CPPKRLCastEPKS0_PKPv);
extern int _ZN10nNIDIM_1_49iObserver13___CPPKRLCastEPS0_PKPv;
nNIKAL100_mExportSymbol(_ZN10nNIDIM_1_49iObserver13___CPPKRLCastEPS0_PKPv);
extern int _ZNK10nNIDIM_1_49iObserver20___CPPKRLDynamicCastEPKPv;
nNIKAL100_mExportSymbol(_ZNK10nNIDIM_1_49iObserver20___CPPKRLDynamicCastEPKPv);
extern int _ZN10nNIDIM_1_49iObserver20___CPPKRLDynamicCastEPKPv;
nNIKAL100_mExportSymbol(_ZN10nNIDIM_1_49iObserver20___CPPKRLDynamicCastEPKPv);
extern int _ZN10nNIDIM_1_49iObserverD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNIDIM_1_49iObserverD2Ev);
extern int _ZN10nNIDIM_1_49iObserverD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNIDIM_1_49iObserverD1Ev);
extern int _ZN10nNIDIM_1_49iObserverD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNIDIM_1_49iObserverD0Ev);
/* _ZN9nNIDIM10025iReservationSpecification14staticGetClassERi=_c388ea1958161f0a6d244c06f51dc67b */
extern int _c388ea1958161f0a6d244c06f51dc67b;
nNIKAL100_mExportSymbol(_c388ea1958161f0a6d244c06f51dc67b);
/* _ZN10nNIDIM_1_425iReservationSpecification14staticGetClassERi=_42ab57328db98f1d55d20bfb47e131dc */
extern int _42ab57328db98f1d55d20bfb47e131dc;
nNIKAL100_mExportSymbol(_42ab57328db98f1d55d20bfb47e131dc);
/* _ZN10nNIDIM_1_425iReservationSpecification13___CPPKRLCastEPS0_PKPv=_7d9721f250cdf1136b01b68f5c5e945c */
extern int _7d9721f250cdf1136b01b68f5c5e945c;
nNIKAL100_mExportSymbol(_7d9721f250cdf1136b01b68f5c5e945c);
/* _ZN10nNIDIM_1_425iReservationSpecification20___CPPKRLDynamicCastEPKPv=_ce6ea0fc4ea87b6568d85f638984873f */
extern int _ce6ea0fc4ea87b6568d85f638984873f;
nNIKAL100_mExportSymbol(_ce6ea0fc4ea87b6568d85f638984873f);
/* _ZN10nNIDIM_1_425iReservationSpecification13___CPPKRLCastEPKS0_PKPv=_2eb011aefb96839ec38972071e5e27b3 */
extern int _2eb011aefb96839ec38972071e5e27b3;
nNIKAL100_mExportSymbol(_2eb011aefb96839ec38972071e5e27b3);
/* _ZNK10nNIDIM_1_425iReservationSpecification20___CPPKRLDynamicCastEPKPv=_437cb51bee317f10070da0d4af3e88a2 */
extern int _437cb51bee317f10070da0d4af3e88a2;
nNIKAL100_mExportSymbol(_437cb51bee317f10070da0d4af3e88a2);
/* _ZN9nNIDIM10025iReservationSpecification13___CPPKRLCastEPS0_PKPv=_5d5ef299298502cc5380df1df851b581 */
extern int _5d5ef299298502cc5380df1df851b581;
nNIKAL100_mExportSymbol(_5d5ef299298502cc5380df1df851b581);
/* _ZN9nNIDIM10025iReservationSpecification20___CPPKRLDynamicCastEPKPv=_09985e63233622da7311422d96e64651 */
extern int _09985e63233622da7311422d96e64651;
nNIKAL100_mExportSymbol(_09985e63233622da7311422d96e64651);
/* _ZN9nNIDIM10025iReservationSpecification13___CPPKRLCastEPKS0_PKPv=_0f49ee666514f72e6aa43180a52c482c */
extern int _0f49ee666514f72e6aa43180a52c482c;
nNIKAL100_mExportSymbol(_0f49ee666514f72e6aa43180a52c482c);
/* _ZNK9nNIDIM10025iReservationSpecification20___CPPKRLDynamicCastEPKPv=_1ed8de9f0d7359c2f422673249975e9c */
extern int _1ed8de9f0d7359c2f422673249975e9c;
nNIKAL100_mExportSymbol(_1ed8de9f0d7359c2f422673249975e9c);
extern int _ZN9nNIDIM10020iReservationStrategy14staticGetClassERi;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10020iReservationStrategy14staticGetClassERi);
/* _ZN10nNIDIM_1_420iReservationStrategy14staticGetClassERi=_2abd0d360e713e18ede284fa749b4df0 */
extern int _2abd0d360e713e18ede284fa749b4df0;
nNIKAL100_mExportSymbol(_2abd0d360e713e18ede284fa749b4df0);
extern int _ZN9nNIDIM10020iReservationStrategyC2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10020iReservationStrategyC2Ev);
extern int _ZN9nNIDIM10020iReservationStrategyD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10020iReservationStrategyD2Ev);
extern int _ZN10nNIDIM_1_420iReservationStrategyC2Ev;
nNIKAL100_mExportSymbol(_ZN10nNIDIM_1_420iReservationStrategyC2Ev);
extern int _ZN10nNIDIM_1_420iReservationStrategyD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNIDIM_1_420iReservationStrategyD2Ev);
extern int _ZN10nNIDIM_1_420iReservationStrategyD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNIDIM_1_420iReservationStrategyD1Ev);
extern int _ZN9nNIDIM10020iReservationStrategyD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10020iReservationStrategyD1Ev);
extern int _ZN10nNIDIM_1_420iReservationStrategyD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNIDIM_1_420iReservationStrategyD0Ev);
extern int _ZN9nNIDIM10020iReservationStrategyD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10020iReservationStrategyD0Ev);
extern int _ZN10nNIDIM_1_420iReservationStrategyC1Ev;
nNIKAL100_mExportSymbol(_ZN10nNIDIM_1_420iReservationStrategyC1Ev);
extern int _ZN9nNIDIM10020iReservationStrategyC1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10020iReservationStrategyC1Ev);
/* _ZN10nNIDIM_1_420iReservationStrategy13___CPPKRLCastEPS0_PKPv=_64aa2ebe87305fae6b632a0f89d1fff0 */
extern int _64aa2ebe87305fae6b632a0f89d1fff0;
nNIKAL100_mExportSymbol(_64aa2ebe87305fae6b632a0f89d1fff0);
/* _ZN10nNIDIM_1_420iReservationStrategy20___CPPKRLDynamicCastEPKPv=_1b5f42a4765868b01a4a8681473d0bc0 */
extern int _1b5f42a4765868b01a4a8681473d0bc0;
nNIKAL100_mExportSymbol(_1b5f42a4765868b01a4a8681473d0bc0);
/* _ZN10nNIDIM_1_420iReservationStrategy13___CPPKRLCastEPKS0_PKPv=_b1a2383b50b66e777c457216f2a8e0fc */
extern int _b1a2383b50b66e777c457216f2a8e0fc;
nNIKAL100_mExportSymbol(_b1a2383b50b66e777c457216f2a8e0fc);
/* _ZNK10nNIDIM_1_420iReservationStrategy20___CPPKRLDynamicCastEPKPv=_09df34eaa039c0d2a31452e0c36a6971 */
extern int _09df34eaa039c0d2a31452e0c36a6971;
nNIKAL100_mExportSymbol(_09df34eaa039c0d2a31452e0c36a6971);
/* _ZN9nNIDIM10020iReservationStrategy13___CPPKRLCastEPS0_PKPv=_8af2e1d85c739b824ce42e1dd5ac9714 */
extern int _8af2e1d85c739b824ce42e1dd5ac9714;
nNIKAL100_mExportSymbol(_8af2e1d85c739b824ce42e1dd5ac9714);
/* _ZN9nNIDIM10020iReservationStrategy20___CPPKRLDynamicCastEPKPv=_05c52d9402df04ee328c6a1fd199d396 */
extern int _05c52d9402df04ee328c6a1fd199d396;
nNIKAL100_mExportSymbol(_05c52d9402df04ee328c6a1fd199d396);
/* _ZN9nNIDIM10020iReservationStrategy13___CPPKRLCastEPKS0_PKPv=_188f7ae81101ac6de6eebb3662dff699 */
extern int _188f7ae81101ac6de6eebb3662dff699;
nNIKAL100_mExportSymbol(_188f7ae81101ac6de6eebb3662dff699);
/* _ZNK9nNIDIM10020iReservationStrategy20___CPPKRLDynamicCastEPKPv=_0b8c7ba5c7ef2e3101508b82d29456b3 */
extern int _0b8c7ba5c7ef2e3101508b82d29456b3;
nNIKAL100_mExportSymbol(_0b8c7ba5c7ef2e3101508b82d29456b3);
/* _ZN10nNIDIM_1_433tDeviceInterconnectManagerFactory16___ORBGetTObjectEv=_2c74668505ca6a7e32e079cd41eead43 */
extern int _2c74668505ca6a7e32e079cd41eead43;
nNIKAL100_mExportSymbol(_2c74668505ca6a7e32e079cd41eead43);
/* _ZN10nNIDIM_1_433tDeviceInterconnectManagerFactory14staticGetClassERi=_7988a656258dabfdc2400c16dd837429 */
extern int _7988a656258dabfdc2400c16dd837429;
nNIKAL100_mExportSymbol(_7988a656258dabfdc2400c16dd837429);
/* _ZN9nNIDIM10033tDeviceInterconnectManagerFactory16___ORBGetTObjectEv=_744d4e1d495d4bf913acbecccaa7d534 */
extern int _744d4e1d495d4bf913acbecccaa7d534;
nNIKAL100_mExportSymbol(_744d4e1d495d4bf913acbecccaa7d534);
/* _ZN9nNIDIM10033tDeviceInterconnectManagerFactory14staticGetClassERi=_3874adb576e92bbba1c1fe2c62d0edf3 */
extern int _3874adb576e92bbba1c1fe2c62d0edf3;
nNIKAL100_mExportSymbol(_3874adb576e92bbba1c1fe2c62d0edf3);
/* _ZN9nNIDIM10033tDeviceInterconnectManagerFactory14getDIMInstanceERi=_be4cd8249b78338d9abd5ac2c938daf3 */
extern int _be4cd8249b78338d9abd5ac2c938daf3;
nNIKAL100_mExportSymbol(_be4cd8249b78338d9abd5ac2c938daf3);
/* _ZN10nNIDIM_1_433tDeviceInterconnectManagerFactory14getDIMInstanceERi=_edb49ea5c1ed452daedc03257802c4ac */
extern int _edb49ea5c1ed452daedc03257802c4ac;
nNIKAL100_mExportSymbol(_edb49ea5c1ed452daedc03257802c4ac);
/* _ZNK9nNIDIM10033tDeviceInterconnectManagerFactory8getClassERi=_a1d22df25224b31a22b38c9d97476b36 */
extern int _a1d22df25224b31a22b38c9d97476b36;
nNIKAL100_mExportSymbol(_a1d22df25224b31a22b38c9d97476b36);
/* _ZNK10nNIDIM_1_433tDeviceInterconnectManagerFactory8getClassERi=_57e116db8ca65ceeb944f8f38d19dce4 */
extern int _57e116db8ca65ceeb944f8f38d19dce4;
nNIKAL100_mExportSymbol(_57e116db8ca65ceeb944f8f38d19dce4);
/* _ZN9nNIDIM10033tDeviceInterconnectManagerFactory13___CPPKRLCastEPS0_PKPv=_e5ed2141d4629d3a62ee571786e66cd0 */
extern int _e5ed2141d4629d3a62ee571786e66cd0;
nNIKAL100_mExportSymbol(_e5ed2141d4629d3a62ee571786e66cd0);
/* _ZN9nNIDIM10033tDeviceInterconnectManagerFactory20___CPPKRLDynamicCastEPKPv=_8533b61aceaf5154a17c99c313aaaa29 */
extern int _8533b61aceaf5154a17c99c313aaaa29;
nNIKAL100_mExportSymbol(_8533b61aceaf5154a17c99c313aaaa29);
/* _ZN9nNIDIM10033tDeviceInterconnectManagerFactory13___CPPKRLCastEPKS0_PKPv=_5e759d43b537b18fae4c7e3fb6f64dd3 */
extern int _5e759d43b537b18fae4c7e3fb6f64dd3;
nNIKAL100_mExportSymbol(_5e759d43b537b18fae4c7e3fb6f64dd3);
/* _ZNK9nNIDIM10033tDeviceInterconnectManagerFactory20___CPPKRLDynamicCastEPKPv=_16cea2ef9b674f99132fed06b72c8ee4 */
extern int _16cea2ef9b674f99132fed06b72c8ee4;
nNIKAL100_mExportSymbol(_16cea2ef9b674f99132fed06b72c8ee4);
/* _ZN10nNIDIM_1_433tDeviceInterconnectManagerFactory13___CPPKRLCastEPS0_PKPv=_025dabee50de96c707aa2e6ead41d042 */
extern int _025dabee50de96c707aa2e6ead41d042;
nNIKAL100_mExportSymbol(_025dabee50de96c707aa2e6ead41d042);
/* _ZN10nNIDIM_1_433tDeviceInterconnectManagerFactory20___CPPKRLDynamicCastEPKPv=_ca7b8d2a3ce7a2dfce2937d527d9cb52 */
extern int _ca7b8d2a3ce7a2dfce2937d527d9cb52;
nNIKAL100_mExportSymbol(_ca7b8d2a3ce7a2dfce2937d527d9cb52);
/* _ZN10nNIDIM_1_433tDeviceInterconnectManagerFactory13___CPPKRLCastEPKS0_PKPv=_231e14d21fc549c097f0a577fdc1ad7d */
extern int _231e14d21fc549c097f0a577fdc1ad7d;
nNIKAL100_mExportSymbol(_231e14d21fc549c097f0a577fdc1ad7d);
/* _ZNK10nNIDIM_1_433tDeviceInterconnectManagerFactory20___CPPKRLDynamicCastEPKPv=_868f763dd7b6766bc33d26ef729d7cd0 */
extern int _868f763dd7b6766bc33d26ef729d7cd0;
nNIKAL100_mExportSymbol(_868f763dd7b6766bc33d26ef729d7cd0);
extern int _ZN9nNIDIM10014tIntentFactory7destroyEPNS_7iIntentERi;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10014tIntentFactory7destroyEPNS_7iIntentERi);
extern int nNIDIM100_tIntentFactory_destroy;
nNIKAL100_mExportSymbol(nNIDIM100_tIntentFactory_destroy);
extern int _ZN9nNIDIM10014tIntentFactory12createWriterERi;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10014tIntentFactory12createWriterERi);
extern int nNIDIM100_tIntentFactory_createWriter;
nNIKAL100_mExportSymbol(nNIDIM100_tIntentFactory_createWriter);
extern int _ZN9nNIDIM10014tIntentFactory12createReaderERi;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10014tIntentFactory12createReaderERi);
extern int nNIDIM100_tIntentFactory_createReader;
nNIKAL100_mExportSymbol(nNIDIM100_tIntentFactory_createReader);
extern int _ZN9nNIDIM10013tIntentReader16___ORBGetTObjectEv;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10013tIntentReader16___ORBGetTObjectEv);
extern int _ZN9nNIDIM10013tIntentReader14staticGetClassERi;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10013tIntentReader14staticGetClassERi);
/* _ZNK9nNIDIM10013tIntentReader13writeExternalERN9nNIORB10013iObjectWriterERi=_33513a94177ba0df1c55103f3b5d9982 */
extern int _33513a94177ba0df1c55103f3b5d9982;
nNIKAL100_mExportSymbol(_33513a94177ba0df1c55103f3b5d9982);
/* _ZN9nNIDIM10013tIntentReader12readExternalERN9nNIORB10013iObjectReaderERi=_d02bed504147fae6b0bd83bb248c9c54 */
extern int _d02bed504147fae6b0bd83bb248c9c54;
nNIKAL100_mExportSymbol(_d02bed504147fae6b0bd83bb248c9c54);
extern int _ZN9nNIDIM10013tIntentReaderaSERKS0_;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10013tIntentReaderaSERKS0_);
extern int _ZN9nNIDIM10013tIntentReaderD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10013tIntentReaderD2Ev);
extern int _ZN9nNIDIM10013tIntentReaderD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10013tIntentReaderD1Ev);
extern int _ZN9nNIDIM10013tIntentReaderD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10013tIntentReaderD0Ev);
extern int _ZN9nNIDIM10013tIntentReaderC1ERKS0_;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10013tIntentReaderC1ERKS0_);
extern int _ZNK9nNIDIM10013tIntentReader5cloneERi;
nNIKAL100_mExportSymbol(_ZNK9nNIDIM10013tIntentReader5cloneERi);
extern int _ZN9nNIDIM10013tIntentReaderC2ERKS0_;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10013tIntentReaderC2ERKS0_);
/* _ZN9nNIDIM10013tIntentReaderC1ENS_11tModeReaderENS_8tOptionsE=_06aa7b7e49aa7914ba7d8eb7a421d9f6 */
extern int _06aa7b7e49aa7914ba7d8eb7a421d9f6;
nNIKAL100_mExportSymbol(_06aa7b7e49aa7914ba7d8eb7a421d9f6);
/* _ZN9nNIDIM10013tIntentReaderC2ENS_11tModeReaderENS_8tOptionsE=_b73582ca7f952d7edd7b9ad344ebb667 */
extern int _b73582ca7f952d7edd7b9ad344ebb667;
nNIKAL100_mExportSymbol(_b73582ca7f952d7edd7b9ad344ebb667);
extern int _ZNK9nNIDIM10013tIntentReader8getClassERi;
nNIKAL100_mExportSymbol(_ZNK9nNIDIM10013tIntentReader8getClassERi);
extern int _ZN9nNIDIM10013tIntentReader13___CPPKRLCastEPS0_PKPv;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10013tIntentReader13___CPPKRLCastEPS0_PKPv);
extern int _ZN9nNIDIM10013tIntentReader20___CPPKRLDynamicCastEPKPv;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10013tIntentReader20___CPPKRLDynamicCastEPKPv);
extern int _ZN9nNIDIM10013tIntentReader13___CPPKRLCastEPKS0_PKPv;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10013tIntentReader13___CPPKRLCastEPKS0_PKPv);
/* _ZNK9nNIDIM10013tIntentReader20___CPPKRLDynamicCastEPKPv=_d6b01cfcd2c90040bcc072cebdcd73c9 */
extern int _d6b01cfcd2c90040bcc072cebdcd73c9;
nNIKAL100_mExportSymbol(_d6b01cfcd2c90040bcc072cebdcd73c9);
extern int _ZN9nNIDIM10013tIntentWriter16___ORBGetTObjectEv;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10013tIntentWriter16___ORBGetTObjectEv);
extern int _ZN9nNIDIM10013tIntentWriter14staticGetClassERi;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10013tIntentWriter14staticGetClassERi);
/* _ZNK9nNIDIM10013tIntentWriter13writeExternalERN9nNIORB10013iObjectWriterERi=_374350719db5f4aeba44a677c78f637e */
extern int _374350719db5f4aeba44a677c78f637e;
nNIKAL100_mExportSymbol(_374350719db5f4aeba44a677c78f637e);
/* _ZN9nNIDIM10013tIntentWriter12readExternalERN9nNIORB10013iObjectReaderERi=_9c4b73a6b414165e971dc02eecfa7d40 */
extern int _9c4b73a6b414165e971dc02eecfa7d40;
nNIKAL100_mExportSymbol(_9c4b73a6b414165e971dc02eecfa7d40);
extern int _ZN9nNIDIM10013tIntentWriteraSERKS0_;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10013tIntentWriteraSERKS0_);
extern int _ZN9nNIDIM10013tIntentWriterD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10013tIntentWriterD2Ev);
extern int _ZN9nNIDIM10013tIntentWriterD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10013tIntentWriterD1Ev);
extern int _ZN9nNIDIM10013tIntentWriterD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10013tIntentWriterD0Ev);
/* _ZN9nNIDIM10013tIntentWriterC1ENS_11tModeWriterENS_8tOptionsE=_4a5b57800dc848d354b296aac316cf70 */
extern int _4a5b57800dc848d354b296aac316cf70;
nNIKAL100_mExportSymbol(_4a5b57800dc848d354b296aac316cf70);
/* _ZN9nNIDIM10013tIntentWriterC2ENS_11tModeWriterENS_8tOptionsE=_9017369ca2740a695fe718cae9f03511 */
extern int _9017369ca2740a695fe718cae9f03511;
nNIKAL100_mExportSymbol(_9017369ca2740a695fe718cae9f03511);
extern int _ZN9nNIDIM10013tIntentWriterC1ERKS0_;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10013tIntentWriterC1ERKS0_);
extern int _ZNK9nNIDIM10013tIntentWriter5cloneERi;
nNIKAL100_mExportSymbol(_ZNK9nNIDIM10013tIntentWriter5cloneERi);
extern int _ZN9nNIDIM10013tIntentWriterC2ERKS0_;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10013tIntentWriterC2ERKS0_);
extern int _ZNK9nNIDIM10013tIntentWriter8getClassERi;
nNIKAL100_mExportSymbol(_ZNK9nNIDIM10013tIntentWriter8getClassERi);
extern int _ZN9nNIDIM10013tIntentWriter13___CPPKRLCastEPS0_PKPv;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10013tIntentWriter13___CPPKRLCastEPS0_PKPv);
extern int _ZN9nNIDIM10013tIntentWriter20___CPPKRLDynamicCastEPKPv;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10013tIntentWriter20___CPPKRLDynamicCastEPKPv);
extern int _ZN9nNIDIM10013tIntentWriter13___CPPKRLCastEPKS0_PKPv;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10013tIntentWriter13___CPPKRLCastEPKS0_PKPv);
/* _ZNK9nNIDIM10013tIntentWriter20___CPPKRLDynamicCastEPKPv=_7a4e54cb56eedfd1894cbe64b7a61bc5 */
extern int _7a4e54cb56eedfd1894cbe64b7a61bc5;
nNIKAL100_mExportSymbol(_7a4e54cb56eedfd1894cbe64b7a61bc5);
/* _ZN9nNIDIM10031tInterconnectBusEndpointFactory7destroyERPNS_24iInterconnectBusEndpointERi=_95739318d5873b42943cca863668f045 */
extern int _95739318d5873b42943cca863668f045;
nNIKAL100_mExportSymbol(_95739318d5873b42943cca863668f045);
extern int nNIDIM100_tInterconnectBusEndpointFactory_destroy;
nNIKAL100_mExportSymbol(nNIDIM100_tInterconnectBusEndpointFactory_destroy);
/* _ZN9nNIDIM10031tInterconnectBusEndpointFactory21createBySystemAddressERKN4_STL12basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERiS9_P7iDeviceRK7tSSGUIDS9_=_f680177141f2a50f15ec70b25ddb1a79 */
extern int _f680177141f2a50f15ec70b25ddb1a79;
nNIKAL100_mExportSymbol(_f680177141f2a50f15ec70b25ddb1a79);
/* nNIDIM100_tInterconnectBusEndpointFactory_createBySystemAddress=_46deffcd693604b671a9992264a19de5 */
extern int _46deffcd693604b671a9992264a19de5;
nNIKAL100_mExportSymbol(_46deffcd693604b671a9992264a19de5);
/* _ZN9nNIDIM10031tInterconnectBusEndpointFactory21createByDevicePointerEP7iDeviceRiRK7tSSGUIDRKN4_STL12basic_stringIcNS7_11char_traitsIcEENS7_9allocatorIcEEEESF_SF_=_2210a4715f4447cb8b37fa80cb7f78af */
extern int _2210a4715f4447cb8b37fa80cb7f78af;
nNIKAL100_mExportSymbol(_2210a4715f4447cb8b37fa80cb7f78af);
/* nNIDIM100_tInterconnectBusEndpointFactory_createByDevicePointer=_7d56ce1fda6cfc578924be124bbd06d7 */
extern int _7d56ce1fda6cfc578924be124bbd06d7;
nNIKAL100_mExportSymbol(_7d56ce1fda6cfc578924be124bbd06d7);
/* _ZN10nNIDIM_1_432tReservationSpecificationFactory20destroySpecificationERPNS_25iReservationSpecificationERi=_d3548d07b83bfb4135a9e7fd69266c29 */
extern int _d3548d07b83bfb4135a9e7fd69266c29;
nNIKAL100_mExportSymbol(_d3548d07b83bfb4135a9e7fd69266c29);
/* _ZN9nNIDIM10032tReservationSpecificationFactory20destroySpecificationERPNS_25iReservationSpecificationERi=_de385efadb256d7c270f06391664343e */
extern int _de385efadb256d7c270f06391664343e;
nNIKAL100_mExportSymbol(_de385efadb256d7c270f06391664343e);
/* _ZN9nNIDIM10032tReservationSpecificationFactory19createSpecificationERi=_c03803c2e3d00f9593212e98312c06ba */
extern int _c03803c2e3d00f9593212e98312c06ba;
nNIKAL100_mExportSymbol(_c03803c2e3d00f9593212e98312c06ba);
/* _ZN9nNIDIM10032tReservationSpecificationFactory19createSpecificationENS_17tInterconnectTypeEPKNS_24iInterconnectBusEndpointEPKNS_7iIntentERKN4_STL6vectorINS_25iReservationSpecification11tLineWeightENS8_9allocatorISB_EEEERiNS_20tInterconnectSubtypeEj=_d63f54d4b98c692a19c59f244504750a */
extern int _d63f54d4b98c692a19c59f244504750a;
nNIKAL100_mExportSymbol(_d63f54d4b98c692a19c59f244504750a);
/* _ZN9nNIDIM10032tReservationSpecificationFactory19createSpecificationENS_17tInterconnectTypeEPKNS_24iInterconnectBusEndpointEPKNS_7iIntentERiRKNS_9tBitmap64ENS_20tInterconnectSubtypeEj=_8df83ed04ad7a54c775ae54b9652aca2 */
extern int _8df83ed04ad7a54c775ae54b9652aca2;
nNIKAL100_mExportSymbol(_8df83ed04ad7a54c775ae54b9652aca2);
/* _ZN10nNIDIM_1_432tReservationSpecificationFactory19createSpecificationERi=_5f8c767a569b9477abbeb749b99cb5e9 */
extern int _5f8c767a569b9477abbeb749b99cb5e9;
nNIKAL100_mExportSymbol(_5f8c767a569b9477abbeb749b99cb5e9);
/* _ZN10nNIDIM_1_432tReservationSpecificationFactory19createSpecificationEN9nNIDIM10017tInterconnectTypeEPKNS1_24iInterconnectBusEndpointEPKNS1_7iIntentERKN4_STL6vectorINS1_25iReservationSpecification11tLineWeightENS9_9allocatorISC_EEEERiNS1_20tInterconnectSubtypeEj=_05517fda14a53dae47ec51d0b61d355d */
extern int _05517fda14a53dae47ec51d0b61d355d;
nNIKAL100_mExportSymbol(_05517fda14a53dae47ec51d0b61d355d);
/* _ZN10nNIDIM_1_432tReservationSpecificationFactory19createSpecificationEN9nNIDIM10017tInterconnectTypeEPKNS1_24iInterconnectBusEndpointEPKNS1_7iIntentERiRKNS_9tLinePoolENS1_20tInterconnectSubtypeEj=_2b59f9e2014d2b893c273b2fdeb4da96 */
extern int _2b59f9e2014d2b893c273b2fdeb4da96;
nNIKAL100_mExportSymbol(_2b59f9e2014d2b893c273b2fdeb4da96);
extern int _ZN10nNIDIM_1_417getCurrentVersionERi;
nNIKAL100_mExportSymbol(_ZN10nNIDIM_1_417getCurrentVersionERi);
extern int _ZN10nNIDIM_1_426getOldestCompatibleVersionERi;
nNIKAL100_mExportSymbol(_ZN10nNIDIM_1_426getOldestCompatibleVersionERi);
extern int _ZN9nNIDIM10017getCurrentVersionERi;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10017getCurrentVersionERi);
extern int _ZN9nNIDIM10026getOldestCompatibleVersionERi;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10026getOldestCompatibleVersionERi);
extern int _ZN9nNIDIM10014compareVersionERK10tSSVersionS2_RiPKc;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10014compareVersionERK10tSSVersionS2_RiPKc);
extern int _ZN10nNIDIM_1_414compareVersionERK10tSSVersionS2_RiPKc;
nNIKAL100_mExportSymbol(_ZN10nNIDIM_1_414compareVersionERK10tSSVersionS2_RiPKc);
extern int _ZN10nNIDIM_1_817getCurrentVersionERi;
nNIKAL100_mExportSymbol(_ZN10nNIDIM_1_817getCurrentVersionERi);
extern int _ZN10nNIDIM_1_826getOldestCompatibleVersionERi;
nNIKAL100_mExportSymbol(_ZN10nNIDIM_1_826getOldestCompatibleVersionERi);
extern int _ZN10nNIDIM_1_814compareVersionERK10tSSVersionS2_RiPKc;
nNIKAL100_mExportSymbol(_ZN10nNIDIM_1_814compareVersionERK10tSSVersionS2_RiPKc);
/* _ZN10nNIDIM_1_439iStarBusEndpointAdditionRemovalObserver10___classIDE=_78009f4365c45a62bbd29998230c4803 */
extern int _78009f4365c45a62bbd29998230c4803;
nNIKAL100_mExportSymbol(_78009f4365c45a62bbd29998230c4803);
extern int _ZN9nNIDIM1007iIntent10___classIDE;
nNIKAL100_mExportSymbol(_ZN9nNIDIM1007iIntent10___classIDE);
extern int _ZN9nNIDIM10022iInterconnectBusBridge10___classIDE;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10022iInterconnectBusBridge10___classIDE);
extern int _ZN10nNIDIM_1_822iInterconnectBusBridge10___classIDE;
nNIKAL100_mExportSymbol(_ZN10nNIDIM_1_822iInterconnectBusBridge10___classIDE);
extern int _ZN9nNIDIM10024iInterconnectBusEndpoint10___classIDE;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10024iInterconnectBusEndpoint10___classIDE);
extern int _ZN10nNIDIM_1_49iObserver10___classIDE;
nNIKAL100_mExportSymbol(_ZN10nNIDIM_1_49iObserver10___classIDE);
extern int _ZN9nNIDIM10025iReservationSpecification10___classIDE;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10025iReservationSpecification10___classIDE);
extern int _ZN10nNIDIM_1_425iReservationSpecification10___classIDE;
nNIKAL100_mExportSymbol(_ZN10nNIDIM_1_425iReservationSpecification10___classIDE);
extern int _ZN9nNIDIM10020iReservationStrategy10___classIDE;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10020iReservationStrategy10___classIDE);
extern int _ZN10nNIDIM_1_420iReservationStrategy10___classIDE;
nNIKAL100_mExportSymbol(_ZN10nNIDIM_1_420iReservationStrategy10___classIDE);
/* _ZN10nNIDIM_1_433tDeviceInterconnectManagerFactory10___classIDE=_545100d3a5600f234049b422ffce0d81 */
extern int _545100d3a5600f234049b422ffce0d81;
nNIKAL100_mExportSymbol(_545100d3a5600f234049b422ffce0d81);
/* _ZN9nNIDIM10033tDeviceInterconnectManagerFactory10___classIDE=_7a0e8886280c96922a531f0d8cc00d86 */
extern int _7a0e8886280c96922a531f0d8cc00d86;
nNIKAL100_mExportSymbol(_7a0e8886280c96922a531f0d8cc00d86);
extern int _ZN9nNIDIM10013tIntentReader10___classIDE;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10013tIntentReader10___classIDE);
extern int _ZN9nNIDIM10013tIntentWriter10___classIDE;
nNIKAL100_mExportSymbol(_ZN9nNIDIM10013tIntentWriter10___classIDE);
extern int _ZTVN10nNIDIM_1_49iObserverE;
nNIKAL100_mExportSymbol(_ZTVN10nNIDIM_1_49iObserverE);
/* _ZTv0_n24_N10nNIDIM_1_439iStarBusEndpointAdditionRemovalObserver20___CPPKRLDynamicCastEPKPv=_601d0d4c05894e5216d9d3baa31275a8 */
extern int _601d0d4c05894e5216d9d3baa31275a8;
nNIKAL100_mExportSymbol(_601d0d4c05894e5216d9d3baa31275a8);
/* _ZTv0_n32_NK10nNIDIM_1_439iStarBusEndpointAdditionRemovalObserver20___CPPKRLDynamicCastEPKPv=_fbfa74c5d9633646eef9905b552e2fe3 */
extern int _fbfa74c5d9633646eef9905b552e2fe3;
nNIKAL100_mExportSymbol(_fbfa74c5d9633646eef9905b552e2fe3);
/* _ZTv0_n24_N9nNIDIM1007iIntent20___CPPKRLDynamicCastEPKPv=_a2d75850f8529aff714b60731e94fb83 */
extern int _a2d75850f8529aff714b60731e94fb83;
nNIKAL100_mExportSymbol(_a2d75850f8529aff714b60731e94fb83);
/* _ZTv0_n32_N9nNIDIM1007iIntent20___CPPKRLDynamicCastEPKPv=_3c34071e0415b64011c777cdaebbcc51 */
extern int _3c34071e0415b64011c777cdaebbcc51;
nNIKAL100_mExportSymbol(_3c34071e0415b64011c777cdaebbcc51);
/* _ZTv0_n32_NK9nNIDIM1007iIntent20___CPPKRLDynamicCastEPKPv=_a13f34baeeb05ec21f4ffbf50e754e04 */
extern int _a13f34baeeb05ec21f4ffbf50e754e04;
nNIKAL100_mExportSymbol(_a13f34baeeb05ec21f4ffbf50e754e04);
/* _ZTv0_n40_NK9nNIDIM1007iIntent20___CPPKRLDynamicCastEPKPv=_8396607bca4a1b9604be8cf6343e106c */
extern int _8396607bca4a1b9604be8cf6343e106c;
nNIKAL100_mExportSymbol(_8396607bca4a1b9604be8cf6343e106c);
/* _ZTv0_n24_N9nNIDIM10022iInterconnectBusBridge20___CPPKRLDynamicCastEPKPv=_90d3d90724dc3ae3d1fc013f370e517d */
extern int _90d3d90724dc3ae3d1fc013f370e517d;
nNIKAL100_mExportSymbol(_90d3d90724dc3ae3d1fc013f370e517d);
/* _ZTv0_n32_N9nNIDIM10022iInterconnectBusBridge20___CPPKRLDynamicCastEPKPv=_7b0617caef4501273592bb729e88e018 */
extern int _7b0617caef4501273592bb729e88e018;
nNIKAL100_mExportSymbol(_7b0617caef4501273592bb729e88e018);
/* _ZTv0_n24_N10nNIDIM_1_822iInterconnectBusBridge20___CPPKRLDynamicCastEPKPv=_fe851b09b26806202801c4a8a5cc5f07 */
extern int _fe851b09b26806202801c4a8a5cc5f07;
nNIKAL100_mExportSymbol(_fe851b09b26806202801c4a8a5cc5f07);
/* _ZTv0_n32_N10nNIDIM_1_822iInterconnectBusBridge20___CPPKRLDynamicCastEPKPv=_d9048bf5fdb5422ba7132c151b4f1ac7 */
extern int _d9048bf5fdb5422ba7132c151b4f1ac7;
nNIKAL100_mExportSymbol(_d9048bf5fdb5422ba7132c151b4f1ac7);
/* _ZTv0_n32_NK10nNIDIM_1_822iInterconnectBusBridge20___CPPKRLDynamicCastEPKPv=_5717f13209a0620be2c7155c319a3c08 */
extern int _5717f13209a0620be2c7155c319a3c08;
nNIKAL100_mExportSymbol(_5717f13209a0620be2c7155c319a3c08);
/* _ZTv0_n40_NK10nNIDIM_1_822iInterconnectBusBridge20___CPPKRLDynamicCastEPKPv=_e0acdc3ba88e6ea49d796dd18b22d208 */
extern int _e0acdc3ba88e6ea49d796dd18b22d208;
nNIKAL100_mExportSymbol(_e0acdc3ba88e6ea49d796dd18b22d208);
/* _ZTv0_n32_NK9nNIDIM10022iInterconnectBusBridge20___CPPKRLDynamicCastEPKPv=_7c6ea8a8697b6885184caa2e7c9bc773 */
extern int _7c6ea8a8697b6885184caa2e7c9bc773;
nNIKAL100_mExportSymbol(_7c6ea8a8697b6885184caa2e7c9bc773);
/* _ZTv0_n40_NK9nNIDIM10022iInterconnectBusBridge20___CPPKRLDynamicCastEPKPv=_ec45efb70bdb80ad0b0e778082d84279 */
extern int _ec45efb70bdb80ad0b0e778082d84279;
nNIKAL100_mExportSymbol(_ec45efb70bdb80ad0b0e778082d84279);
/* _ZTv0_n24_N9nNIDIM10024iInterconnectBusEndpoint20___CPPKRLDynamicCastEPKPv=_2d5c151a77c4ec0c38fe1999b5198624 */
extern int _2d5c151a77c4ec0c38fe1999b5198624;
nNIKAL100_mExportSymbol(_2d5c151a77c4ec0c38fe1999b5198624);
/* _ZTv0_n32_N9nNIDIM10024iInterconnectBusEndpoint20___CPPKRLDynamicCastEPKPv=_a306cf8cca97d024d59647d44109eeb9 */
extern int _a306cf8cca97d024d59647d44109eeb9;
nNIKAL100_mExportSymbol(_a306cf8cca97d024d59647d44109eeb9);
/* _ZTv0_n32_NK9nNIDIM10024iInterconnectBusEndpoint20___CPPKRLDynamicCastEPKPv=_4a6f4d29085319885f66a9a8534552eb */
extern int _4a6f4d29085319885f66a9a8534552eb;
nNIKAL100_mExportSymbol(_4a6f4d29085319885f66a9a8534552eb);
/* _ZTv0_n40_NK9nNIDIM10024iInterconnectBusEndpoint20___CPPKRLDynamicCastEPKPv=_5131e3cf4f304870bcd7d502b3d0ab08 */
extern int _5131e3cf4f304870bcd7d502b3d0ab08;
nNIKAL100_mExportSymbol(_5131e3cf4f304870bcd7d502b3d0ab08);
/* _ZTv0_n24_N10nNIDIM_1_425iReservationSpecification20___CPPKRLDynamicCastEPKPv=_a5411f45c7721479ba8620c6240bf96c */
extern int _a5411f45c7721479ba8620c6240bf96c;
nNIKAL100_mExportSymbol(_a5411f45c7721479ba8620c6240bf96c);
/* _ZTv0_n32_N10nNIDIM_1_425iReservationSpecification20___CPPKRLDynamicCastEPKPv=_0c65ce51806586ed3f315b4ed5b53f1c */
extern int _0c65ce51806586ed3f315b4ed5b53f1c;
nNIKAL100_mExportSymbol(_0c65ce51806586ed3f315b4ed5b53f1c);
/* _ZTv0_n32_NK10nNIDIM_1_425iReservationSpecification20___CPPKRLDynamicCastEPKPv=_394c2e1089b01ac05b94bc1b73ad6729 */
extern int _394c2e1089b01ac05b94bc1b73ad6729;
nNIKAL100_mExportSymbol(_394c2e1089b01ac05b94bc1b73ad6729);
/* _ZTv0_n40_NK10nNIDIM_1_425iReservationSpecification20___CPPKRLDynamicCastEPKPv=_d9bb7d5b5c74a3d16d12d69952359f5a */
extern int _d9bb7d5b5c74a3d16d12d69952359f5a;
nNIKAL100_mExportSymbol(_d9bb7d5b5c74a3d16d12d69952359f5a);
/* _ZTv0_n24_N9nNIDIM10025iReservationSpecification20___CPPKRLDynamicCastEPKPv=_ff2dcae2933e3ea6415458061d0e55a5 */
extern int _ff2dcae2933e3ea6415458061d0e55a5;
nNIKAL100_mExportSymbol(_ff2dcae2933e3ea6415458061d0e55a5);
/* _ZTv0_n32_N9nNIDIM10025iReservationSpecification20___CPPKRLDynamicCastEPKPv=_721aad0bda4a9e1e3141c7a0988e9c1f */
extern int _721aad0bda4a9e1e3141c7a0988e9c1f;
nNIKAL100_mExportSymbol(_721aad0bda4a9e1e3141c7a0988e9c1f);
/* _ZTv0_n32_NK9nNIDIM10025iReservationSpecification20___CPPKRLDynamicCastEPKPv=_9f7d691c6ce624731611b67c93af8ab4 */
extern int _9f7d691c6ce624731611b67c93af8ab4;
nNIKAL100_mExportSymbol(_9f7d691c6ce624731611b67c93af8ab4);
/* _ZTv0_n40_NK9nNIDIM10025iReservationSpecification20___CPPKRLDynamicCastEPKPv=_dfab65905ffc279a9581c8f6325a928b */
extern int _dfab65905ffc279a9581c8f6325a928b;
nNIKAL100_mExportSymbol(_dfab65905ffc279a9581c8f6325a928b);
/* _ZTv0_n24_N10nNIDIM_1_420iReservationStrategy20___CPPKRLDynamicCastEPKPv=_9a568edfbeb145eaf9a7f88cd382c59a */
extern int _9a568edfbeb145eaf9a7f88cd382c59a;
nNIKAL100_mExportSymbol(_9a568edfbeb145eaf9a7f88cd382c59a);
/* _ZTv0_n32_N10nNIDIM_1_420iReservationStrategy20___CPPKRLDynamicCastEPKPv=_85d768984dc27864b1c6921a80a87de7 */
extern int _85d768984dc27864b1c6921a80a87de7;
nNIKAL100_mExportSymbol(_85d768984dc27864b1c6921a80a87de7);
/* _ZTv0_n32_NK10nNIDIM_1_420iReservationStrategy20___CPPKRLDynamicCastEPKPv=_1ac0b150c4c3b95cbc31a85c2107c947 */
extern int _1ac0b150c4c3b95cbc31a85c2107c947;
nNIKAL100_mExportSymbol(_1ac0b150c4c3b95cbc31a85c2107c947);
/* _ZTv0_n40_NK10nNIDIM_1_420iReservationStrategy20___CPPKRLDynamicCastEPKPv=_9111cc4614073cd0372296cc30e2ea49 */
extern int _9111cc4614073cd0372296cc30e2ea49;
nNIKAL100_mExportSymbol(_9111cc4614073cd0372296cc30e2ea49);
/* _ZTv0_n24_N9nNIDIM10020iReservationStrategy20___CPPKRLDynamicCastEPKPv=_837f149718aebc159461433e88d1df8d */
extern int _837f149718aebc159461433e88d1df8d;
nNIKAL100_mExportSymbol(_837f149718aebc159461433e88d1df8d);
/* _ZTv0_n32_N9nNIDIM10020iReservationStrategy20___CPPKRLDynamicCastEPKPv=_d4426fcb0f987539e7e3d65459bc0622 */
extern int _d4426fcb0f987539e7e3d65459bc0622;
nNIKAL100_mExportSymbol(_d4426fcb0f987539e7e3d65459bc0622);
/* _ZTv0_n32_NK9nNIDIM10020iReservationStrategy20___CPPKRLDynamicCastEPKPv=_58c1bdfd474fa0df3ed988a615c91dc9 */
extern int _58c1bdfd474fa0df3ed988a615c91dc9;
nNIKAL100_mExportSymbol(_58c1bdfd474fa0df3ed988a615c91dc9);
/* _ZTv0_n40_NK9nNIDIM10020iReservationStrategy20___CPPKRLDynamicCastEPKPv=_3fd67fb03f63297aca527abb9e2dff57 */
extern int _3fd67fb03f63297aca527abb9e2dff57;
nNIKAL100_mExportSymbol(_3fd67fb03f63297aca527abb9e2dff57);
/* _ZTv0_n24_N9nNIDIM10033tDeviceInterconnectManagerFactory20___CPPKRLDynamicCastEPKPv=_b9d1e0b18d78400c4d897767169e2045 */
extern int _b9d1e0b18d78400c4d897767169e2045;
nNIKAL100_mExportSymbol(_b9d1e0b18d78400c4d897767169e2045);
/* _ZTv0_n32_NK9nNIDIM10033tDeviceInterconnectManagerFactory20___CPPKRLDynamicCastEPKPv=_540578c695af06418f92411e818d7f98 */
extern int _540578c695af06418f92411e818d7f98;
nNIKAL100_mExportSymbol(_540578c695af06418f92411e818d7f98);
/* _ZTv0_n24_N10nNIDIM_1_433tDeviceInterconnectManagerFactory20___CPPKRLDynamicCastEPKPv=_c205d7349de1c1a5ebb4550b7a55f856 */
extern int _c205d7349de1c1a5ebb4550b7a55f856;
nNIKAL100_mExportSymbol(_c205d7349de1c1a5ebb4550b7a55f856);
/* _ZTv0_n32_NK10nNIDIM_1_433tDeviceInterconnectManagerFactory20___CPPKRLDynamicCastEPKPv=_6c57d83e9bebd47bb8fba34731a66e40 */
extern int _6c57d83e9bebd47bb8fba34731a66e40;
nNIKAL100_mExportSymbol(_6c57d83e9bebd47bb8fba34731a66e40);
/* _ZTv0_n24_N9nNIDIM10013tIntentReader20___CPPKRLDynamicCastEPKPv=_bc9d7a97d7e45ae811cccacca457f02f */
extern int _bc9d7a97d7e45ae811cccacca457f02f;
nNIKAL100_mExportSymbol(_bc9d7a97d7e45ae811cccacca457f02f);
/* _ZTv0_n32_N9nNIDIM10013tIntentReader20___CPPKRLDynamicCastEPKPv=_89d2ff9f30eade6f085d41bc44760cbb */
extern int _89d2ff9f30eade6f085d41bc44760cbb;
nNIKAL100_mExportSymbol(_89d2ff9f30eade6f085d41bc44760cbb);
/* _ZTv0_n32_NK9nNIDIM10013tIntentReader20___CPPKRLDynamicCastEPKPv=_df11f3072c81c0d5a1668c6f4749501b */
extern int _df11f3072c81c0d5a1668c6f4749501b;
nNIKAL100_mExportSymbol(_df11f3072c81c0d5a1668c6f4749501b);
/* _ZTv0_n40_NK9nNIDIM10013tIntentReader20___CPPKRLDynamicCastEPKPv=_b7cfef2d16ac389c08a4cce4c03c9c09 */
extern int _b7cfef2d16ac389c08a4cce4c03c9c09;
nNIKAL100_mExportSymbol(_b7cfef2d16ac389c08a4cce4c03c9c09);
/* _ZTv0_n24_N9nNIDIM10013tIntentWriter20___CPPKRLDynamicCastEPKPv=_ec08b553eea2a56e8e4975754fe5c807 */
extern int _ec08b553eea2a56e8e4975754fe5c807;
nNIKAL100_mExportSymbol(_ec08b553eea2a56e8e4975754fe5c807);
/* _ZTv0_n32_N9nNIDIM10013tIntentWriter20___CPPKRLDynamicCastEPKPv=_426454973afcd07a7b818b278cdf64ef */
extern int _426454973afcd07a7b818b278cdf64ef;
nNIKAL100_mExportSymbol(_426454973afcd07a7b818b278cdf64ef);
/* _ZTv0_n32_NK9nNIDIM10013tIntentWriter20___CPPKRLDynamicCastEPKPv=_33a1f2c64eee49d6015766ef40f43936 */
extern int _33a1f2c64eee49d6015766ef40f43936;
nNIKAL100_mExportSymbol(_33a1f2c64eee49d6015766ef40f43936);
/* _ZTv0_n40_NK9nNIDIM10013tIntentWriter20___CPPKRLDynamicCastEPKPv=_d76e1b6fe551fbc090f400c3d93c6165 */
extern int _d76e1b6fe551fbc090f400c3d93c6165;
nNIKAL100_mExportSymbol(_d76e1b6fe551fbc090f400c3d93c6165);
